Index: trunk/DataCheck/Setup/setup.isdc.fact
===================================================================
--- trunk/DataCheck/Setup/setup.isdc.fact	(revision 13051)
+++ trunk/DataCheck/Setup/setup.isdc.fact	(revision 13051)
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# ========================================================================
+#
+# *
+# * This file is part of MARS, the MAGIC Analysis and Reconstruction
+# * Software. It is distributed to you in the hope that it can be a useful
+# * and timesaving tool in analysing Data of imaging Cerenkov telescopes.
+# * It is distributed WITHOUT ANY WARRANTY.
+# *
+# * Permission to use, copy, modify and distribute this software and its
+# * documentation for any purpose is hereby granted without fee,
+# * provided that the above copyright notice appear in all copies and
+# * that both that copyright notice and this permission notice appear
+# * in supporting documentation. It is provided "as is" without express
+# * or implied warranty.
+# *
+#
+#
+#   Author(s): Daniela Dorner  06/2010 <mailto:daniela.dorner@unige.ch>
+#
+#   Copyright: MAGIC Software Development, 2000-2010
+#
+#
+# ========================================================================
+#
+# This a resource file for the scripts, in which the standard paths and 
+# functions, which are needed more often are stored. 
+#
+
+rootsys=/swdev_nfs/root_v5.32.00
+if ! export | grep ROOTSYS | grep $rootsys  >|/dev/null
+then
+   export ROOTSYS=$rootsys
+   export PATH=$PATH:$ROOTSYS/bin
+   export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ROOTSYS/lib
+fi
+
+# site
+processingsite=isdc
+sitekey=4 # isdc
+storagesite=isdc
+
+# for db backup
+dbnames=( "mysql" "programoptions" "scheduling" "systemstatus" "postfix" "horde" "logbook" "factdata" )
+
+# queuing system
+# queuesys=condor # wuerzburg data center
+# condorpath=/usr/local/bin
+queuesys=sge
+sgepath=/usr/bin
+
+# logging and setup
+logpath=~/datacenter/autologs
+lockpath=~/datacenter/locks
+#setuppath=/magic/simulated/setup
+
+## paths of data
+datapath=/scratch_nfs/data
+#subsystempath=/magic/subsystemdata
+seqpath=/scratch_nfs/sequences
+#datasetpath=/magic/datasets
+
+## paths and setup for mc
+#mcpath=/magic/simulated
+#mcrawpath=$mcpath/rawfiles
+#mcsequpath=$mcpath/sequences
+#corsikapath=/home/montecarlo/MagicSoft/Simulation/Corsika/Mmcs6500
+#export FLUPRO=$corsikapath'/fluka2008_3'
+
+
+#webpath=/www/htdocs/datacenter
+
+# get paths for mars, macros and scripts
+#   in case the variable is not yet set
+if [ "$mars" == "" ]
+then 
+  mars=`dirname $0 | sed -e 's/\/datacenter\/scripts//'`
+fi
+macrospath=$mars/datacenter/macros
+scriptspath=$mars/datacenter/scripts
+scriptspath=`dirname $0`
+
+# rcfiles
+# dependencies of steps
+steps=$scriptspath/../Setup/steps_fact_isdc.rc
+# file with db information
+sqlrc=$mars/sql.rc
+
+
+#addresses to which the errors are sent
+erradrs="daniela.dorner@unige.ch" 
+#addresses to which the changes are sent
+adrs="daniela.dorner@unige.ch" 
+
+
+#
+#setup for jobmanager
+#
+sleeptime=150 #600 #30
+sleeptimelimit=360 #360
+errorsleeptimedefault=60 #60
+
+algorithm=2
+
+#hour:            0  1  2  3  4  5  6  7  8  9 10 11 12 13 14 15 16 17 18 19 20 21 22 23
+pnototal=(       32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+pnototalwe=(     32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 )
+
+
+# set variables for jobmanager 
+#scripts=( "RunCallisto.sh" "RunStar.sh" "RunMerpp.sh" ) 
+scripts=( "RunCallisto.sh" "RunStar.sh" ) 
+#scriptscolname=( "Callisto" "Star" "Merpp" ) 
+scriptscolname=( "Callisto" "Star" ) 
+#ratio=( 0.6 0.2 0.2 )
+ratio=( 0.6 0.4 )
+#maxjobs=( 20 10 20 )
+maxjobs=( 24 10 )
+
+
+# further wishlist: adapt ratio automatically
+
Index: trunk/DataCheck/Setup/steps_fact_isdc.rc
===================================================================
--- trunk/DataCheck/Setup/steps_fact_isdc.rc	(revision 13051)
+++ trunk/DataCheck/Setup/steps_fact_isdc.rc	(revision 13051)
@@ -0,0 +1,44 @@
+# Definition of Steps and Dependencies for Jobs running at ISDC
+
+RawFileRsyncedISDC.MainTable: RawFileRsyncedISDC
+RawFileRsyncedISDC.Primaries: fNight, fRunID
+RawFileRsyncedISDC.Needs: 
+RawFileRsyncedISDC.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fRunID)
+
+RawFileAvailWue.MainTable: RawFileAvailWue
+RawFileAvailWue.Primaries: fNight, fRunID
+RawFileAvailWue.Needs: RawFileRsyncedISDC
+RawFileAvailWue.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fRunID)
+
+# independent as filled by CheckRawFileAvail.sh
+RawFileAvailISDC.MainTable: RawFileAvailISDC
+RawFileAvailISDC.Primaries: fNight, fRunID
+RawFileAvailISDC.Needs: 
+RawFileAvailISDC.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fRunID)
+
+AuxFilesAvailISDC.MainTable: AuxFilesAvailISDC
+AuxFilesAvailISDC.Primaries: fNight
+#AuxFilesAvailISDC.Needs: 
+AuxFilesAvailISDC.SpecialJoin: LEFT JOIN RunInfo USING(fNight)
+
+SequenceFileAvailISDC.MainTable: SequenceFileAvailISDC
+SequenceFileAvailISDC.Primaries: fNight, fSequenceID
+#SequenceFileAvailISDC.Needs: 
+SequenceFileAvailISDC.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fSequenceID)
+
+Callisto.MainTable: Callisto
+Callisto.Primaries: fNight, fSequenceID
+Callisto.Needs: RawFileAvailISDC SequenceFileAvailISDC
+Callisto.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fSequenceID)
+
+Star.MainTable: Star
+Star.Primaries: fNight, fSequenceID
+Star.Needs: RawFileAvailISDC Callisto AuxFilesAvailISDC SequenceFileAvailISDC
+Star.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fSequenceID)
+
+#Merpp.MainTable: Merpp
+#Merpp.Primaries: fNight, fSequenceID
+#Merpp.Needs: RawFileAvailISDC Callisto Star
+#Merpp.SpecialJoin: LEFT JOIN RunInfo USING(fNight, fSequenceID)
+
+
